"""
HW01: Basic Python

Mike Lam
August 2014
"""

def format_str(description, values):
    """
    Returns a reformatted version of "description", where special identifier
    words like "$3" have been replaced by the specified element from "values".
    """
    new_str = ""
    words = description.split()
    for i in range(len(words)):
        if i > 0:
            new_str += " "
        word = words[i]
        if word[0] == "$":
            index = int(word[1:])
            new_str += str(values[index])           # replacement value
        else:
            new_str += word                             # original text
    return new_str

if __name__ == "__main__":
    pass

