"""
HW01: Basic Python

Mike Lam
August 2014
"""

def format_str(description, values):
    """
    Returns a reformatted version of "description", where special identifier
    words like "$3" have been replaced by the specified element from "values".
    """
    new_str = ""
    words = description.split()
    for i in range(len(words)):
        if i > 0:
            new_str += " "
        word = words[i]
        replaced = False
        for i in range(4):
            if word == ("$" + str(i)):
                if i < len(values):
                    new_str += str(values[i])           # replacement value
                else:
                    new_str += "ERROR"                  # range error
                replaced = True
        if not replaced:
            new_str += word                             # original text
    return new_str

if __name__ == "__main__":
    pass

